ant-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 60562] bootstrap is broken on Solaris 10
Date Fri, 13 Jan 2017 05:58:58 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=60562

--- Comment #24 from Stefan Bodewig <bodewig@apache.org> ---
(In reply to jwadamson from comment #22)
> That stinks. :-(
> 
> Solaris 10 was released in 2005, so that is sad it doesn't fit the 2004 (or
> earlier) POSIX spec but seems to be the case.
> http://unix.stackexchange.com/a/164242 "/bin/sh is not the POSIX shell but
> the legacy Bourne shell which predates POSIX and is then missing features
> that came later with the standard." 
> 
> Solaris 11 /bin/sh -> ksh83 (and is POSIX compliant)

This explains why we got reports the new wrapper script would work on Solaris.

Do we need to consider Solaris versions prior to 10? If so if we can't detect
the incompatible /bin/sh can we detect the compatible one (maybe combined with
detecting Solaris)?

-- 
You are receiving this mail because:
You are the assignee for the bug.
Mime
View raw message